<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [fr]C-CCK-MCD {World Online}  (WinNT; I) [Netscape]">
</head>
<body background="../images/fondINRA.jpg">
&nbsp;
<table WIDTH="100%" NOSAVE >
<tr>
<td>
<center>
<h1>
<a href="modelisation.html"><img SRC="../images/french.gif" height=25 width=36></a></h1></center>
</td>

<td>
<center>
<h1>
<i>SEPATOU : simulator of rotational grazing management in a dairy production
system</i></h1></center>
</td>

<td>
<center>
<h1>
<img SRC="../images/english.gif" height=25 width=34></h1></center>
</td>
</tr>
</table>

<table COLS=5 WIDTH="100%" BGCOLOR="#00FF00" NOSAVE >
<tr>
<td>
<center><font size=+1><a href="../presentation/presentationE.html">Presentation</a></font></center>
</td>

<td>
<center><font size=+1>Modeling</font></center>
</td>

<td>
<center><font size=+1><a href="../logiciel/logicielE.html">Software</a></font></center>
</td>

<td>
<center><font size=+1><a href="../demonstration/demonstrationE.html">Demonstration</a></font></center>
</td>

<td>
<center><font size=+1><a href="../documentation/documentationE.html">Documentation</a></font></center>
</td>
</tr>
</table>

<br>&nbsp;
<center>
<h1>
Modeling</h1></center>

<center>
<hr WIDTH="100%"></center>

<h3>
Modeling framework</h3>
The SEPATOU system is designed&nbsp; to enable the modelling and simulation
of various types of dairy farms and production management modes. It essentially
reproduces the dynamics of two interactive processes: the cognitive one
(the management behaviour of the farmer) and the biophysical one of the
response of herbage and milk production to climatic factors and situation-dependent
management actions. These two processes are at the core of the production
system that from a systemic point of view can be decomposed into the decision
system made of the planning and acting systems, the information system
made of the monitoring and observing systems and finally the biotechnical
system.
<p>The biotechnical system can be decomposed into the executing system
that involves labor, machinery and various inputs (conserve feed stocks,
fertilizer) and the biophysical system that is the controlled system involving
the fields and the cows.
<p>The decision system&nbsp; essentially performs the decision-making task
with which the farmer is confronted each day: it generates management actions.
The complexity of the management task requires that it be broken down into
two simpler dependant modules: the temporal planner (planning system) and
the generator of executable actions (acting system). The temporal planner
produces a set of task plans and implementation constraints. The plannerís
responsibility is to ensure a regular forward-looking commitment over the
production horizon. The plans produced by the planner are not directly
executable; they are made up of instructions that need to be expanded at
execution time. This is the role of&nbsp; the executable action generator
that decides what to do according to the general instructions of the planner
in relation to the current situation. The plans and the actions generated
by the decision system are actually resulting from the application of
a management strategy.
<p>The role of the information system is to provide access to the relevant
data concerning the biophysical system and the external environment. What
is relevant is highly subjective and is actually part of the decision-making
behavior adopted. The information system has two functions:
<ul>
<li>
interpreting and storing some decision-relevant data about the biophysical
system and external environment and communicating the results to the decision
system;</li>

<li>
monitoring some expected events in the biophysical system or external environment
and notifying their occurrence to the decision system that uses them as
decision-making temporal landmarks.</li>
</ul>
These two functions are those of the observing and monitoring systems respectively.
The interpretation functions of the observation system are used to reproduce
the real situation of a decision-maker that (a) has only partial access
to information (due to lack of time and sensing devices) and (b) relies
on aggregated pieces of data for cognitive simplicity.
<p>The functioning of the production system is highly dependent on uncontrolable
factors, mainly the weather, which constitute the external environment.
<br>&nbsp;
<p><br>
<center>
<p><img SRC="modele_detailE.gif" height=509 width=662></center>

<p>Given the purpose of the SEPATOU system some modeling restrictions are
assumed:
<ul>
<li>
concerning the production system</li>

<ul>
<li>
non aberrant configuration (e;g. extreme stocking rate),</li>

<li>
all the cows are&nbsp; identical (same weigth, same genetic potential for
milk, same calving date),</li>

<li>
the sward is a pure stand (one of three grass species) and each grazed
plot is assumed to be uniform,</li>

<li>
no limitation on concentrate stock,</li>

<li>
no limitation on nitrogen stock,</li>

<li>
no problem with machines (no limitation, no failure),</li>

<li>
no problem with human ressource (no limitation).</li>
</ul>

<li>
concerning the management</li>

<ul>
<li>
decision are made at the daily time step,</li>

<li>
duration of grazing is at least of one day,</li>

<li>
if herbage silage operations are realized, they are all done on the same
day,</li>

<li>
nitrogen supply is done three times (the 1<sup>st </sup>February and at
two dates defined in the strategy) uniformally over the fields although
possibly with different rates at each time,</li>

<li>
the management of hay stock is not considered.</li>

</ul>
A simpler diagram of the production system is shown in the next figure.
<center>
<p><img SRC="modeleE.gif" height=302 width=399></center>

<h3>
The concept of management strategy</h3>
Formalising the concept of management strategy is one of the novel features
of the SEPATOU simulator. The management strategy fully specifies the decision-making
behaviour of the farmer who controls the biophysical system. It tells in
a structured way how to respond to certain states and events. The strategies
are structured around the concept of tasks, which consist of instructions
and actions that have to be&nbsp; processed jointly. Currently four of
them are considered, dealing with conserved feed, grazing, fertilisation
and harvesting respectively.&nbsp; Each task is associated with a set of
plan variables and a set of action variables. Plans correspond to the assignment
of values to the plan variables of a task for successive intervals of time.
The role of plans is to guide the day-to-day decision-making task, by providing
some general directions to follow. A strategy is a formal representation
of the way plans and actions are defined over the whole production period.
A strategy is characterized by the four following components:
<ul>
<li>
planning rules that define or modify plans for the different tasks involved
in the production process;</li>

<li>
action rules that expand, for each active task, the current plan so as
to generate situation-dependant actions;</li>

<li>
interpretation or translation functions that are defined in order to provide
the condition information needed in the planning and action rules;</li>

<li>
temporal landmarks, involved in the planning and action rules and associated
with monitored events that have to be defined.</li>
</ul>
The above items are the basic components used by the planning, action,
observing and monitoring systems.
<p>A formal language, named LnU, has been created for the representation
of strategies. The reasons for developing such a language are threefold:
<ul>
<li>
studying strategies requires a rigorous framework to support scientific
experimentation and analysis;</li>

<li>
the writing of strategies by users of the simulator has to be facilitated
by providing an easily learned and understandable environment incorporating
the essential conceptual structures needed in formulating a strategy;</li>

<li>
the strategies have to be stated in a format lending itself to machine
interpretation since they are fed into a simulator.</li>
</ul>
Examples of strategy items written in LNU are given in the "Demonstration"
section.
<h3>
Biophysical system model</h3>
The highest level the SEPATOU simulator operates at is the grazing system,
that is, the farm level. The lowest levels in the model are the plots and
the cows that constitute a single herd.&nbsp; The main structural components
of the biophysical system model are herd, grass paddocks, available feedstocks
at the end of winter (maize silage and hay) and inputs (concentrates and
nitrogen fertilizer). Functionally the biophysical system model is based
on a set of more or less empirical laws that express on a daily basis the
dynamics of several interactive processes dealing with herbage production,
cow intake and milk production. The biophysical model responds to the climatic
factors (average daily temperature, average incident solar radiation and
daily rainfall) and farmerís actions. The actions concern&nbsp; nitrogen
fertilization, grazing operations, such as moving the herd to a new pasture,&nbsp;
harvesting operations and feeding with conserved feed or concentrate. The
herbage production model of each pasture accounts for growth and senescence
processes and calculates the effects of defoliation on pasture quantity
and quality (digestibility). Intake and digestibility are used to estimate
the metabolisable energy available to the cows and to compute animal performance
in terms of milk yield. Feed intake depends on the physiological properties
of the cows (lactation pattern) and pasture-related constraints (herbage
allowance and digestibility per layer). The model is deterministic, although
it responds to weather which can be made random in simulation experiments.
Other components of real systems such as labor, machines are not modeled,
which amounts to assume that they are not constraining the functioning
of the production system.
<center>
<p><img SRC="modele_biophyE.gif" height=382 width=478>
<br>&nbsp;
<p>
<hr WIDTH="100%"><font size=-1>Last modifications: December 2002</font></center>

</body>
</html>
